#ifndef QT_CORE_H
#define QT_CORE_H

#include <qabstractanimation.h>
#include <qabstracteventdispatcher.h>
#include <qabstractfileengine.h>
#include <qabstractitemmodel.h>
#include <qabstractnativeeventfilter.h>
#include <qabstractstate.h>
#include <qabstracttransition.h>

#include <qalgorithms.h>
#include <qanimationgroup.h>
#include <qatomic.h>
#include <qbasictimer.h>
#include <qbitarray.h>
#include <qbuffer.h>
#include <qbytearray.h>
#include <qcache.h>
#include <qchar.h>
#include <qcontainerfwd.h>
#include <qcontiguouscache.h>
#include <qcoreapplication.h>
#include <qcoreevent.h>
#include <qcryptographichash.h>
#include <qdatastream.h>
#include <qdatetime.h>
#include <qdebug.h>
#include <qdir.h>
#include <qdiriterator.h>
#include <qeasingcurve.h>
#include <qelapsedtimer.h>
#include <qendian.h>
#include <qeventloop.h>
#include <qeventtransition.h>
#include <qfactoryinterface.h>
#include <qfeatures.h>
#include <qfile.h>
#include <qfiledevice.h>
#include <qfileinfo.h>
#include <qfilesystemwatcher.h>
#include <qfinalstate.h>
#include <qfsfileengine.h>
#include <qfuture.h>
#include <qfutureinterface.h>
#include <qfuturesynchronizer.h>
#include <qfuturewatcher.h>
#include <qglobal.h>
#include <qhash.h>
#include <qhashfunc.h>
#include <qhistorystate.h>
#include <qiodevice.h>
#include <qjsonarray.h>
#include <qjsondocument.h>
#include <qjsonobject.h>
#include <qjsonvalue.h>
#include <qlibrary.h>
#include <qlibraryinfo.h>
#include <qline.h>
#include <qlinkedlist.h>
#include <qlist.h>
#include <qlocale.h>
#include <qmap.h>
#include <qmargins.h>
#include <qmath.h>
#include <qmessageauthenticationcode.h>
#include <qmetaobject.h>
#include <qmimedata.h>
#include <qmutex.h>
#include <qnamespace.h>
#include <qnumeric.h>
#include <qobject.h>
#include <qobjectcleanuphandler.h>
#include <qpair.h>
#include <qparallelanimationgroup.h>
#include <qpauseanimation.h>
#include <qplugin.h>
#include <qpluginloader.h>
#include <qpoint.h>
#include <qpointer.h>
#include <qprocess.h>
#include <qpropertyanimation.h>
#include <qqueue.h>
#include <qreadwritelock.h>
#include <qrect.h>
#include <qregularexpression.h>
#include <qresource.h>
#include <qrunnable.h>
#include <qsavefile.h>
#include <qscopedpointer.h>
#include <qscopedvaluerollback.h>
#include <qsemaphore.h>
#include <qsequentialanimationgroup.h>
#include <qset.h>
#include <qsettings.h>
#include <qshareddata.h>
#include <qsharedmemory.h>
#include <qsharedpointer.h>
#include <qsignalmapper.h>
#include <qsignaltransition.h>
#include <qsize.h>
#include <qsocketnotifier.h>
#include <qstack.h>
#include <qstandardpaths.h>
#include <qstate.h>
#include <qstatemachine.h>
#include <qstring16.h>
#include <qstring8.h>
#include <qstringlist.h>
#include <qstringparser.h>
#include <qstringview.h>
#include <qsystemsemaphore.h>

#include <qtconcurrentcompilertest.h>
#include <qtconcurrentexception.h>
#include <qtconcurrentfilter.h>
#include <qtconcurrentfilterkernel.h>
#include <qtconcurrentfunctionwrappers.h>
#include <qtconcurrentiteratekernel.h>
#include <qtconcurrentmap.h>
#include <qtconcurrentmapkernel.h>
#include <qtconcurrentmedian.h>
#include <qtconcurrentreducekernel.h>
#include <qtconcurrentresultstore.h>
#include <qtconcurrentrun.h>
#include <qtconcurrentrunbase.h>
#include <qtconcurrentstoredfunctioncall.h>
#include <qtconcurrentthreadengine.h>

#include <qtemporaryfile.h>
#include <qtextboundaryfinder.h>
#include <qtextcodec.h>
#include <qtextcodecplugin.h>
#include <qtextstream.h>
#include <qthread.h>
#include <qthreadpool.h>
#include <qthreadstorage.h>
#include <qtimeline.h>

#include <qtimer.h>
#include <qtimezone.h>
#include <qtranslator.h>
#include <qurl.h>
#include <quuid.h>
#include <qvariant.h>
#include <qvariantanimation.h>
#include <qvarlengtharray.h>
#include <qvector.h>
#include <qversionnumber.h>
#include <qwaitcondition.h>
#include <qxmlstream.h>

#endif
